# Currency Mapping Policies Currency Mapping Policies ## Gets all of the currency mapping policies in the system. - [GET /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/listcurrencymappingpolicies.md): This method will scan all currency mapping policies and and return them to the caller. ## Creates a new currency mapping policy record that does not already exist. - [POST /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/createcurrencymappingpolicy.md): This method will auto-generate an ID and create a new currency mapping policy. If an ID is specified for the currency mapping policy, an error will be thrown. ## Execute Batch Operations - [POST /currencyMappingPolicies/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a currency mapping policy from the system by its ID. - [DELETE /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/deletecurrencymappingpolicy.md): This method will delete a currency mapping policy with the specified ID. ## Returns a currency mapping policy from the system by its ID. - [GET /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/getcurrencymappingpolicy.md): This method will look up a currency mapping policy by the specified ID and return it back. ## Partially updates a currency mapping policy with the specified ID. - [PATCH /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/patchcurrencymappingpolicy.md): This method will patch an existing currency mapping policy with the specified ID, using the HTTP PATCH specification. ## Updates a currency mapping policy with the specified ID. - [PUT /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/updatecurrencymappingpolicy.md): This method will update an existing currency mapping policy with the specified ID.